View Issue Details

IDProjectCategoryView StatusLast Update
0002078SymmetricDSBugpublic2014-12-26 08:37
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.17Fixed in Version3.6.17 
Summary0002078: Service wrapper unsatisfied link error
DescriptionWhen running the sym_service, the following error occurs. The "/tmp" folder is set to noexec, and JNA is trying to link shared object libraries from that folder.

Exception in thread "main" java.lang.UnsatisfiedLinkError: /tmp/jna7993427683458725457.tmp: /tmp/jna7993427683458725457.tmp: failed to map segment from shared object: Operation not permitted
    at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    at java.lang.ClassLoader.loadLibrary1(ClassLoader.java:1965)
    at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1890)
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1851)
    at java.lang.Runtime.load0(Runtime.java:795)
    at java.lang.System.load(System.java:1062)
    at com.sun.jna.Native.loadNativeLibraryFromJar(Native.java:775)
    at com.sun.jna.Native.loadNativeLibrary(Native.java:699)
    at com.sun.jna.Native.<clinit>(Native.java:114)
    at org.jumpmind.symmetric.wrapper.jna.CLibrary.<clinit>(CLibrary.java:30)
    at org.jumpmind.symmetric.wrapper.UnixService.setWorkingDirectory(UnixService.java:50)
    at org.jumpmind.symmetric.wrapper.WrapperService.loadConfig(WrapperService.java:64)
    at org.jumpmind.symmetric.wrapper.Wrapper.main(Wrapper.java:50)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d9146e6a

2014-11-20 21:03:39

erilong

Details Diff
0002078: Service wrapper unsatisfied link error
0002078
mod - symmetric-server/src/main/deploy/bin/sym_service Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperConfig.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File

SymmetricDS: master ae337c73

2014-12-16 12:31:12

erilong

Details Diff
0002078: Service wrapper unsatisfied link error
0002078
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/Constants.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/UnixService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/Wrapper.java Diff File
mod - symmetric-wrapper/src/main/resources/symmetricds.initd Diff File

Issue History

Date Modified Username Field Change
2014-11-20 20:29 elong New Issue
2014-11-20 20:29 elong Status new => assigned
2014-11-20 20:29 elong Assigned To => elong
2014-11-20 22:00 Changeset attached => SymmetricDS trunk r8955
2014-11-24 13:42 elong Status assigned => resolved
2014-11-24 13:42 elong Fixed in Version => 3.7.0
2014-11-24 13:42 elong Resolution open => fixed
2014-12-12 14:39 admin Fixed in Version 3.7.0 => 3.6.17
2014-12-12 14:39 admin Target Version => 3.6.17
2014-12-12 15:00 Changeset attached => SymmetricDS 3.6 r9054
2014-12-12 15:00 Changeset attached => SymmetricDS 3.6 r9055
2014-12-16 15:00 Changeset attached => SymmetricDS 3.6 r9068
2014-12-16 15:00 Changeset attached => SymmetricDS trunk r9069
2014-12-26 08:37 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master ae337c73
2015-07-30 21:49 Changeset attached => SymmetricDS master d9146e6a